package com.steering.mes.mcp.entity;
/**
 * 数据库表PLN_ZY_JG_MIDDLE所对应的实体类（生成工具：代码生成器3.0）
 * @author MS-20181101OWOO   date 2019-03-20
 */
@SuppressWarnings("serial")
public class PlnZyJgMiddleEntity implements java.io.Serializable {
    /**
     * 主键
     */
    private String guid = "";
    /**
     * 工单号
     */
    private String woId = "";
    /**
     * 接箍合同号
     */
    private String jgOrderno = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 接箍产线代码
     */
    private String plineCode = "";
    /**
     * 接箍产线描述
     */
    private String plineName = "";
    /**
     * 压印喷标要求（4项之一）
     */
    private String demandCopper = "";
    /**
     * 探伤要求（4项之一，408401）
     */
    private String demandDetection = "";
    /**
     * 喷砂要求（4项之一）
     */
    private String demandBlast = "";
    /**
     * 磷化镀铜要求（4项之一，408402）
     */
    private String demandBonderizing = "";
    /**
     * 个数
     */
    private String planNum = "";
    /**
     * 重量
     */
    private String planWt = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";
    /**
     * 标示炉号(打印炉号)
     */
    private String flagStoveNo = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 接箍规格描述
     */
    private String specJgDesc = "";
    /**
     * 接箍规格代码
     */
    private String specJg = "";
    /**
     * 中孔类别(I、II、III、IV...)
     */
    private String styleJg = "";
    /**
     * 接箍标准代码
     */
    private String stdCode = "";
    /**
     * 接箍标准名称
     */
    private String stdName = "";
    /**
     * 接箍标准类别代码
     */
    private String stdStyle = "";
    /**
     * 接箍标准类别描述(I、II、III)
     */
    private String stdStyleDesc = "";
    /**
     * 接箍品种代码
     */
    private String produccodeJg = "";
    /**
     * 接箍品种描述
     */
    private String produccodeJgDesc = "";
    /**
     * 接箍码
     */
    private String codeJg = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 接箍扣型描述
     */
    private String modelDesc = "";
    /**
     * 是否接箍监制
     */
    private String ifMonitorJg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 状态(0,正常交库，1利库）
     */
    private String status = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 合同子行号
     */
    private String orderSeqNo = "";
    /**
     * 合同主键
     */
    private String ordPk = "";
    /**
     * 合同行主键
     */
    private String ordLnPk = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 材料号（炉号+3位流水）
     */
    private String matNo = "";
    /**
     * 成品合同工序序号
     */
    private String craftSeqOrd = "";
    /**
     * 成品合同工艺文件号
     */
    private String craftFileNoOrd = "";
    /**
     * 材料序号(4位流水号 0001)
     */
    private String matNoXh = "";

    /**
     * 主键
     * @return value
     */
    public String getGuid() {
        return guid;
    }

    /**
     * 主键
     * @param guid value
     */
    public void setGuid(String guid) {
        this.guid = guid;
    }

    /**
     * 工单号
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 接箍合同号
     * @return value
     */
    public String getJgOrderno() {
        return jgOrderno;
    }

    /**
     * 接箍合同号
     * @param jgOrderno value
     */
    public void setJgOrderno(String jgOrderno) {
        this.jgOrderno = jgOrderno;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 接箍产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 接箍产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 接箍产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 接箍产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 压印喷标要求（4项之一）
     * @return value
     */
    public String getDemandCopper() {
        return demandCopper;
    }

    /**
     * 压印喷标要求（4项之一）
     * @param demandCopper value
     */
    public void setDemandCopper(String demandCopper) {
        this.demandCopper = demandCopper;
    }

    /**
     * 探伤要求（4项之一，408401）
     * @return value
     */
    public String getDemandDetection() {
        return demandDetection;
    }

    /**
     * 探伤要求（4项之一，408401）
     * @param demandDetection value
     */
    public void setDemandDetection(String demandDetection) {
        this.demandDetection = demandDetection;
    }

    /**
     * 喷砂要求（4项之一）
     * @return value
     */
    public String getDemandBlast() {
        return demandBlast;
    }

    /**
     * 喷砂要求（4项之一）
     * @param demandBlast value
     */
    public void setDemandBlast(String demandBlast) {
        this.demandBlast = demandBlast;
    }

    /**
     * 磷化镀铜要求（4项之一，408402）
     * @return value
     */
    public String getDemandBonderizing() {
        return demandBonderizing;
    }

    /**
     * 磷化镀铜要求（4项之一，408402）
     * @param demandBonderizing value
     */
    public void setDemandBonderizing(String demandBonderizing) {
        this.demandBonderizing = demandBonderizing;
    }

    /**
     * 个数
     * @return value
     */
    public String getPlanNum() {
        return planNum;
    }

    /**
     * 个数
     * @param planNum value
     */
    public void setPlanNum(String planNum) {
        this.planNum = planNum;
    }

    /**
     * 重量
     * @return value
     */
    public String getPlanWt() {
        return planWt;
    }

    /**
     * 重量
     * @param planWt value
     */
    public void setPlanWt(String planWt) {
        this.planWt = planWt;
    }

    /**
     * 冶炼炉号(电炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 接箍规格描述
     * @return value
     */
    public String getSpecJgDesc() {
        return specJgDesc;
    }

    /**
     * 接箍规格描述
     * @param specJgDesc value
     */
    public void setSpecJgDesc(String specJgDesc) {
        this.specJgDesc = specJgDesc;
    }

    /**
     * 接箍规格代码
     * @return value
     */
    public String getSpecJg() {
        return specJg;
    }

    /**
     * 接箍规格代码
     * @param specJg value
     */
    public void setSpecJg(String specJg) {
        this.specJg = specJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @return value
     */
    public String getStyleJg() {
        return styleJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @param styleJg value
     */
    public void setStyleJg(String styleJg) {
        this.styleJg = styleJg;
    }

    /**
     * 接箍标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 接箍标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 接箍标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 接箍标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 接箍标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 接箍标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 接箍标准类别描述(I、II、III)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 接箍标准类别描述(I、II、III)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 接箍品种代码
     * @return value
     */
    public String getProduccodeJg() {
        return produccodeJg;
    }

    /**
     * 接箍品种代码
     * @param produccodeJg value
     */
    public void setProduccodeJg(String produccodeJg) {
        this.produccodeJg = produccodeJg;
    }

    /**
     * 接箍品种描述
     * @return value
     */
    public String getProduccodeJgDesc() {
        return produccodeJgDesc;
    }

    /**
     * 接箍品种描述
     * @param produccodeJgDesc value
     */
    public void setProduccodeJgDesc(String produccodeJgDesc) {
        this.produccodeJgDesc = produccodeJgDesc;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 接箍扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 接箍扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 是否接箍监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否接箍监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 状态(0,正常交库，1利库）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(0,正常交库，1利库）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同子行号
     * @return value
     */
    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    /**
     * 合同子行号
     * @param orderSeqNo value
     */
    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    /**
     * 合同主键
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * 合同主键
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同行主键
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * 合同行主键
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 材料号（炉号+3位流水）
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（炉号+3位流水）
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 成品合同工序序号
     * @return value
     */
    public String getCraftSeqOrd() {
        return craftSeqOrd;
    }

    /**
     * 成品合同工序序号
     * @param craftSeqOrd value
     */
    public void setCraftSeqOrd(String craftSeqOrd) {
        this.craftSeqOrd = craftSeqOrd;
    }

    /**
     * 成品合同工艺文件号
     * @return value
     */
    public String getCraftFileNoOrd() {
        return craftFileNoOrd;
    }

    /**
     * 成品合同工艺文件号
     * @param craftFileNoOrd value
     */
    public void setCraftFileNoOrd(String craftFileNoOrd) {
        this.craftFileNoOrd = craftFileNoOrd;
    }

    /**
     * 材料序号(4位流水号 0001)
     * @return value
     */
    public String getMatNoXh() {
        return matNoXh;
    }

    /**
     * 材料序号(4位流水号 0001)
     * @param matNoXh value
     */
    public void setMatNoXh(String matNoXh) {
        this.matNoXh = matNoXh;
    }
}